#!/bin/sh

. shell-config
a= . install2-init-functions

DST_ROOT_DIR="$destdir"
GRUB_CONF_PATH="$DST_ROOT_DIR/etc/sysconfig/grub2"
GRUB_UPDATER="/usr/sbin/update-grub"

if ! [ -e "$GRUB_CONF_PATH" ] ; then
    echo "GRUB config <$GRUB_CONF_PATH> not found" >&2
    exit 1
fi

if grep -q '^GRUB_CMDLINE_LINUX_DEFAULT.*psi=1' "$GRUB_CONF_PATH" ; then
    echo "Pressure Stall Information is already turned on ($GRUB_CONF_PATH)"
    exit 0
fi

if ! [ -x "$destdir/$GRUB_UPDATER" ] ; then
    echo "GRUB config updater <$GRUB_UPDATER> not found" >&2
    exit 1
fi

# setup
a= . "$GRUB_CONF_PATH"
GRUB_CMDLINE_LINUX_DEFAULT+=' psi=1'
shell_config_set "$GRUB_CONF_PATH" GRUB_CMDLINE_LINUX_DEFAULT "'$GRUB_CMDLINE_LINUX_DEFAULT'"

echo "Update GRUB config for Pressure Stall Information cmdline option"
exec_chroot $GRUB_UPDATER >/dev/null 2>&1 ||:
